Subject: Re: [PATCH] Undefine strlcpy if needed.

From: Ramsay Jones <[email-masked]>
Date: Mon, 25 Aug 2014 12:16:04 +0100

On 25/08/14 02:54, tsuna wrote:
> On Sun, Aug 24, 2014 at 5:32 PM, Ramsay Jones
> <[email-masked]> wrote:
>> Again, I don't have access to an OS X system, so I don't know
>> which package provides libintl/gettext, but it seems to be missing
>> on your system.
> 
> Probably yeah, those libraries don’t seem to be provided in standard
> with OS X or OS X’s development tools, so maybe the Makefile should
> also default to having NO_GETTEXT=YesPlease when on OS X.
> 
>> You can avoid the build failure, without running configure, by
>> setting NO_GETTEXT=YesPlease in your config.mak file.
>>
>>>
>>>
>>> I need to run configure first:
>>>
>>> $ make configure
>>>     GEN configure
>>> $ ./configure
>>> configure: Setting lib to 'lib' (the default)
>>> […]
>>
>> So, presumably, configure has set NO_GETEXT=YesPlease in your
>> config.mak.autogen file.
> 
> Yes it did.
> 
> I don’t mind running configure, but so far Git has compiled fine
> without doing it.  Should we fix the default values of NO_STRLCPY /
> NO_GETEXT on OS X?
> 

Is NO_STRLCPY still a problem with a fresh clone (and putting
NO_GETEXT=YesPlease in your config.mak)? I still do not understand
why you were getting those warnings; AFAICT it should not be happening!
Also, Torsten could not reproduce.

As far as NO_GETTEXT is concerned, I have to defer to someone who has
experience on that platform (I have _zero_ experience on OS X).

ATB,
Ramsay Jones